Summary:	Translates PostScript/PDF graphics into other vector formats
Name:		pstoedit
Version:	3.40
Release:	1
License:	GPL
Source: 	%{name}-%{version}.tar.gz
URL:		http://www.pstoedit.net/pstoedit
Group:		Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	ghostscript
BuildRequires:  ghostscript-devel

%description
pstoedit translates PostScript and PDF graphics into other vector formats.
Currently pstoedit can generate the following formats:

	- Tgif .obj format (for tgif version >= 3)
	- fig format for xfig
	- pdf Adobe Portable Document Format
	- gnuplot format
	- Flattened PostScript (with or without Bezier curves)
	- DXF - CAD exchange format
	- LWO - LightWave 3D
	- RIB - RenderMan
	- RPL - Real3D
	- Idraw format (a special format of EPS that Idraw can read)
	- Tcl/Tk
	- HPGL
	- AI - Adobe Illustrator Format (based on ps2ai.ps, not a real pstoedit)
	- WMF - Windows Meta Files 
	- PIC format for troff/groff
	- MetaPost format per usage with TeX/LaTeX
	- LaTeX2e picture
	- Kontour
	- GNU Metafile (plotutils/libplot)
	- Sketch (http://sketch.sourceforge.net)
	- Mathematica
	- trough ImageMagick to any format supported by ImageMagick

%package	devel
Summary:	Static libraries and header files for pstoedit development
Group:		Development

%description	devel
If you want to create applications that will use pstoedit code or
APIs, you'll need to install these packages as well as pstoedit. This
additional package isn't necessary if you simply want to use pstoedit.

%prep
%setup -q
# clean up permissions
find -type f -perm +111 | xargs -r file | grep -v script | cut -d: -f1| xargs -r chmod 0644

%build
%configure --enable-static --disable-nls
make

%install
rm -rf %{buildroot}
%makeinstall
install -D -m 644 doc/pstoedit.1 %{buildroot}%{_mandir}/man1/pstoedit.1

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                                                                               
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                                                                              
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :                                                                            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :                                                                           
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :                                                                          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :                                                                        
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :                                                                    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :                                                                  
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pstoedit
%{_bindir}/pstoedit
%{_datadir}/pstoedit
%{_mandir}

%files devel
%defattr(-,root,root)
%{_bindir}/pstoedit-config
%{_includedir}
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_datadir}/aclocal
